# Uses of Class
org.bukkit.plugin.PluginDescriptionFile

Packages that use PluginDescriptionFile
Package
Description
com.destroystokyo.paper.utils
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.
org.bukkit.plugin.java
Classes for handling `plugins` written in java.

## Uses of PluginDescriptionFile in com.destroystokyo.paper.utils

Methods in com.destroystokyo.paper.utils with parameters of type PluginDescriptionFile
Modifier and Type
Method
Description
`static @NotNull Logger`
PaperPluginLogger.`getLogger(@NotNull PluginDescriptionFile description)`

## Uses of PluginDescriptionFile in org.bukkit

Methods in org.bukkit with parameters of type PluginDescriptionFile
Modifier and Type
Method
Description
`void`
UnsafeValues.`checkSupported(PluginDescriptionFile pdf)`
Deprecated.
`byte[]`
UnsafeValues.`processClass(PluginDescriptionFile pdf, String path, byte[] clazz)`
Deprecated.

## Uses of PluginDescriptionFile in org.bukkit.plugin

Methods in org.bukkit.plugin that return PluginDescriptionFile
Modifier and Type
Method
Description
`@NotNull PluginDescriptionFile`
Plugin.`getDescription()`
Returns the plugin.yaml file containing the details for this plugin
`@NotNull PluginDescriptionFile`
PluginLoader.`getPluginDescription(@NotNull File file)`
Deprecated, for removal: This API element is subject to removal in a future version.
Loads a PluginDescriptionFile from the specified file
Methods in org.bukkit.plugin with parameters of type PluginDescriptionFile
Modifier and Type
Method
Description
`boolean`
SimplePluginManager.`isTransitiveDepend(@NotNull PluginDescriptionFile plugin, @NotNull PluginDescriptionFile depend)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Uses of PluginDescriptionFile in org.bukkit.plugin.java

Methods in org.bukkit.plugin.java that return PluginDescriptionFile
Modifier and Type
Method
Description
`final @NotNull PluginDescriptionFile`
JavaPlugin.`getDescription()`
Returns the plugin.yaml file containing the details for this plugin
`@NotNull PluginDescriptionFile`
JavaPluginLoader.`getPluginDescription(@NotNull File file)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructors in org.bukkit.plugin.java with parameters of type PluginDescriptionFile
Modifier
Constructor
Description
`protected`
`JavaPlugin(@NotNull JavaPluginLoader loader, @NotNull PluginDescriptionFile description, @NotNull File dataFolder, @NotNull File file)`